Loading...
Searching...
No Matches

## disnan()

logical function disnan | ( | double precision, intent(in) | din | ) |

DISNAN tests input for NaN.

Download DISNAN + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> DISNAN returns .TRUE. if its argument is NaN, and .FALSE.
      !> otherwise.  To be replaced by the Fortran 2003 intrinsic in the
      !> future.
      !>

Parameters

  [in]

  DIN

      !>          DIN is DOUBLE PRECISION
      !>          Input to test for NaN.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.